Subject: Re: bug#38529: Make --pure the default for `guix environment'?

From: "Thompson, David" <[email-masked]>
Date: Mon, 9 Dec 2019 13:46:20 -0500

Hi,

I have long thought that --ad-hoc should be implied, as that is the
mode I use 99% of the time, but I disagree that --pure should be the
default. Most of the time I (and I suspect most other users) just want
to temporarily augment the current environment with a package or two
and I think that shouldn't require any special flags (neither --ad-hoc
nor --pure).  The current default behavior of making an environment
from package dependencies is because that's how nix-shell worked (or
at least how I thought it worked) and 'guix environment' was created
as a clone of that tool.

- Dave